#
# spec file for package yast2-ca-management (Version 2.15.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake bash binutils blocxx boost bzip2 coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-glib desktop-translations diffutils dirmngr docbook-xsl-stylesheets docbook_4 dosfstools doxygen file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale gpg2 grep groff gzip hal hwinfo info insserv less libacl libattr libbz2-1 libbz2-devel libcurl4 libdb-4_5 libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libpng libreadline5 libsmbios-libs libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 libxslt liby2util libzio libzypp limal limal-ca-mgm limal-ca-mgm-perl limal-perl linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl openssl-certs pam pam-config pam-modules parted patch pcre perl perl-Bit-Vector perl-Carp-Clan perl-Date-Calc perl-Parse-RecDescent perl-URI perl-X500-DN perl-XML-Writer perl-base perl-gettext permissions pinentry pkg-config pmtools popt pth pwdutils rpm sed setserial sgml-skel sqlite sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings zlib

Name:           yast2-ca-management
Version:        2.15.3
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ca-management-2.15.3.tar.bz2
Prefix:         /usr
BuildRequires:  docbook-xsl-stylesheets dosfstools doxygen libxslt limal-ca-mgm-perl limal-perl perl-Date-Calc perl-URI perl-X500-DN perl-XML-Writer pkg-config update-desktop-files yast2 yast2-core yast2-devtools
Requires:       yast2 perl perl-gettext yast2-perl-bindings perl-X500-DN perl-Date-Calc limal-ca-mgm-perl limal-perl perl-Config-IniFiles perl-URI
BuildArch:      noarch
Summary:        YaST2 - CAs, Certificates and Requests Management

%description
Managing CAs, Certificates and Requests in an understanding way.



%debug_package
%prep
%setup -n yast2-ca-management-2.15.3

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/ca-management
%dir /usr/share/YaST2/modules/YaPI
%dir /usr/share/YaST2/modules/YaST
/usr/share/YaST2/include/ca-management/*
/usr/share/YaST2/clients/ca-mgm.ycp
/usr/share/YaST2/clients/ca_mgm.ycp
/usr/share/YaST2/clients/ca_mgm_proposal.ycp
/usr/share/YaST2/clients/ca_select_proposal.ycp
/usr/share/YaST2/clients/common-cert.ycp
/usr/share/YaST2/clients/common_cert.ycp
/usr/share/YaST2/clients/ca_mgm_auto.ycp
/usr/share/YaST2/modules/CaMgm.y*
/usr/share/YaST2/modules/YaPI/CaManagement.pm
/usr/share/YaST2/modules/YaST/caUtils.pm
%{prefix}/share/applications/YaST2/ca_mgm.desktop
%{prefix}/share/applications/YaST2/common_cert.desktop
/usr/share/YaST2/schema/autoyast/rnc/ca_mgm.rnc
%doc %{prefix}/share/doc/packages/yast2-ca-management
/usr/bin/generateCRL.pl
%attr(600, root, root) %config(noreplace) /etc/generateCRL.conf
%changelog
* Wed Oct 10 2007 - mc@suse.de
- version 2.15.3
- fix logging [#332002]
- fix request generation [#326465]
* Tue Aug 14 2007 - jsuchome@suse.cz
- minimal support for command line interface (#300183)
- 2.15.2
* Mon Jul 09 2007 - mc@suse.de
- update Version to 2.15.1
- fix always disabled Export Button [#231434]
* Wed Apr 25 2007 - mc@suse.de
- update Version to 2.15.0
* Mon Mar 19 2007 - jdsn@suse.de
- inserted rnc schema file reference into desktop file (#220816)
- 2.14.5
* Wed Mar 14 2007 - jdsn@suse.de
- added ca_mgm autoyast rnc schema file (#220816)
- 2.14.4
* Thu Feb 15 2007 - mc@suse.de
- use linux.site as fallback when the hostname command
  returns nothing [#245604]
* Fri Oct 06 2006 - mc@suse.de
- version 2.14.3
- merge proofreading results
* Tue Sep 19 2006 - mc@suse.de
- Better error message for invalid destinationFile(#205386)
* Fri Jul 21 2006 - mc@suse.de
- Version 2.14.2
* Thu Jun 29 2006 - mc@suse.de
- implement new exception handling(backward compatible)
- limal-ca-mgm requires caPasswd for all actions in a CA
* Mon Jun 19 2006 - mc@suse.de
- fix unlocalized error messages [#182066]
- fix unlocalized Certificates Status [#182371]
* Thu Jun 01 2006 - mc@suse.de
- fix unlocalised text when you edit the default values of a CA
  [#179787]
* Wed May 10 2006 - mc@suse.de
- add AuthorityInfoAccess for CA and Certificates again
  [#137982]
* Mon May 08 2006 - schubi@suse.de
- basicConstraints pathlen works in cerfificate defaults Bug 137984
- enlarged RichText widget in signRequest Bug 137983
- Removed AuthorityInfoAccess Bug 137982
* Thu May 04 2006 - mc@suse.de
- version 2.13.22
- merge proofreaded text
* Wed May 03 2006 - mc@suse.de
- version 2.13.21
- fix text for missing root password [#171413]
* Fri Apr 28 2006 - varkoly@suse.de
- version 2.13.20
- fix checking string if it is nil befor spliting [#165820]
* Thu Mar 30 2006 - mc@suse.de
- version 2.13.19
- fix misspelled funtions in ExportCRLToLDAP() [#162194]
* Mon Mar 20 2006 - mc@suse.de
- version 2.13.18
- use timezone data to find country [#152414]
* Thu Mar 09 2006 - mc@suse.de
- version 2.13.17
- fxing the parameter checking  [Bug #153300]
- version 2.13.16
- merge proofread text
* Mon Mar 06 2006 - mc@suse.de
- version 2.13.15
* Mon Mar 06 2006 - varkoly@suse.de
- only if the settings were written sucessfully
  set CaMgm::prop_settingsWritten to true
- fxing the parameter checking  [Bug #153300]
* Mon Feb 20 2006 - mc@suse.de
- replace yast2-devel-packages with more specific BuildRequires
- fix Summary string [Bug #150155]
* Thu Feb 09 2006 - mc@suse.de
- Better error message when providing a wrong password
- add textdomain call to caUtils.pm
* Wed Feb 08 2006 - mc@suse.de
- version 2.13.13
- LIMAL::CaMgm::StringList was renamed to LIMAL::StringList
  (part of fix for [#149073])
* Fri Feb 03 2006 - mc@suse.de
- version 2.13.12
- common_cert.desktop:
  * remove last space in Name attribute to make our translation
  script happy [#136047]
- common_cert.desktop, ca_mgm.desktop:
  * remove german translation; will be re added from our
  translation process
* Fri Feb 03 2006 - mc@suse.de
- version 2.13.11
- If resetting the CA the old CA will be deleted
* Fri Jan 27 2006 - mc@suse.de
- version 2.13.10
- change the CA during installation
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - mc@suse.de
- version 2.13.9
- merge proofreaded texts
* Mon Jan 23 2006 - mc@suse.de
- version 2.13.8
- add perl-URI to Requires:
- remove FileLogger initialization from CaManagement.pm
  YaST has direct support for limal logging framework
* Mon Jan 23 2006 - mc@suse.de
- version 2.13.7
- use sprintf for splitted translation strings
- remove useless translation tag in _auto file
* Mon Jan 16 2006 - varkoly@suse.de
- Fixing bug #64635
* Fri Jan 13 2006 - mc@suse.de
- version 2.13.6
- limal-ca-mgm renamed a method
* Mon Jan 09 2006 - visnov@suse.cz
- version 2.13.5
- remove useless Require import
* Wed Jan 04 2006 - mc@suse.de
- version 2.13.4
- use new limal methods for SubjectAlternativeNameExt
- fix ReadCertificateDefaults: DN has to be a map<string,list>
- fix error popup; use plainText option instead of <pre>
* Mon Dec 19 2005 - mc@suse.de
- 2.13.3
- use ByteBuffer as Object, no direct transformation
* Thu Dec 15 2005 - mc@suse.de
- 2.13.2
- ignore Logger Exception when creating Logger as none root
* Mon Dec 12 2005 - mc@suse.de
- 2.13.1
- fix root check in testcase
* Mon Dec 12 2005 - mc@suse.de
- 2.13.0
- rewrite YaPI to use limal-ca-mgm
- remove unsued dependencies, agents and configfiles
* Mon Jul 04 2005 - schubi@suse.de
- typo fixed Bug 79209
* Mon May 16 2005 - jsrain@suse.cz
- renamed 'default' variable
- 2.12.0
* Wed Mar 30 2005 - schubi@suse.de
- Bug 63125 - yast2-ca-mgm: hierarchical display of CAs would be
  appreciated
* Wed Mar 30 2005 - schubi@suse.de
- Bug 62544 - CA Management: search for more then one eMailAddress
  in ReadLDAPExportDefaults
* Tue Mar 29 2005 - schubi@suse.de
- Add autoyast functions
- Bug 73848 - ca-mgm: wrong text
- Bug 73846 - ca-mgm: "generate CRL" does not take care of the default
* Mon Mar 21 2005 - mc@suse.de
- add "digitalSignature" extension to keyusage in server_v3 section
  [#73859]
- mark openssl.cnf.templ as %%config
* Tue Nov 30 2004 - schubi@suse.de
- Fixes for new yast intepreter
* Thu Nov 25 2004 - schubi@suse.de
- Bug 47672 - disable X509 extension subjectAltName and issuerAltName if these
* Thu Aug 19 2004 - schubi@suse.de
- Checking for KDE session before starting kfiledialog
* Thu Aug 12 2004 - schubi@suse.de
- translation flags added
* Tue Aug 10 2004 - schubi@suse.de
- Removed wrong include files
* Tue Aug 10 2004 - schubi@suse.de
- Bugfix in sign request ( missing description)
* Mon Aug 09 2004 - schubi@suse.de
- Added signing requests and handling crl defaults
* Mon Jun 14 2004 - mc@suse.de
- #41994; fix wrong CRL Distribution Point
* Mon Jun 07 2004 - schubi@suse.de
- Bug 41533 - wrong suse logo in some yast2 modules
* Wed May 26 2004 - schubi@suse.de
- integrated running testsuite
* Wed May 26 2004 - schubi@suse.de
- Better layout in proposal
* Mon May 24 2004 - mc@suse.de
- "-" as first or last character of caName if forbidden. (#40867)
* Mon May 24 2004 - schubi@suse.de
- Bug 40839 - Installation - Service Configuration - Illogical workflow
* Wed May 19 2004 - schubi@suse.de
- Bug 40862 - CA Management - Create Root CA - Wrong SetFocus
- Bug 40860 - CA Management - Create New CA - No ValidChars Defined
- Bug 40859 - CA Management - Creating New CA - Advanced Options
* Tue May 18 2004 - mc@suse.de
- use LDAPInit to initilize the ldap connection. (#40366)
- fixed gettext handling (#40160)
* Fri May 14 2004 - schubi@suse.de
- Bug 40521 - ca suggests to change root password
* Thu May 13 2004 - schubi@suse.de
- manage use_tls in the right way (#37393)
- create base_config_dn with ldap-client (#40366)
* Tue May 11 2004 - schubi@suse.de
- Bug 40061 - CA: no key work in ncurses UI
* Mon May 10 2004 - schubi@suse.de
- add default_md=sha1 to req section. This is needed to create rootCAs
  also with sha1 hashing algorithm (#40119)
- New translation function: change _() to __() (#40160)
* Mon May 10 2004 - schubi@suse.de
- sorting language selection box Bug #39928
- Bug 39930 fixed - CA settings dialog looks bad in ncurses
* Thu May 06 2004 - schubi@suse.de
- Better description Bug#39966
- exporting common server certificate added
* Mon May 03 2004 - schubi@suse.de
- Bufixes while writing default settings
- Bug #39360. Help text for password changed.
- Bug #39689. Headline changed.
- Bug #38751. Exporting CA/Certificate to local directory ( not tmp)
- exporting certificates disabled if it has been revoked
- do not export Sub CA in the certificate frame
- Using temporary path for mounting floppy
- Importing CA/Certificate from disk while installation
- Using /bin/hostname for evaluating the hostname and the domain
  name
* Fri Apr 30 2004 - schubi@suse.de
- Icon changed
* Thu Apr 29 2004 - schubi@suse.de
- Import CA/Certificate via floppy
- Bugfixing
- Proposal test
* Fri Apr 23 2004 - schubi@suse.de
- finished proposal
- Import of common server certificate
- Moving CA repository to /var/lib/CAM
- Bugfixes
* Fri Apr 16 2004 - mc@suse.de
- add proposal files to spec
* Fri Apr 16 2004 - mc@suse.de
- remove Execute .status from ag_ca_tools; is now in ag_openssl
- first version of a proposal implemented
- basicconstraits accept none
- WriteCertificateDefaults() supports 'days' and 'keylength'
- At DeleteCertificate remove the certificate entry from cam.txt
- add "use_tls" to ldap init.
- some other smal bugfixes
* Fri Apr 02 2004 - schubi@suse.de
- fist complete working version
* Thu Mar 25 2004 - schubi@suse.de
- initial; CA Management module
